OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs
CustomData.h File Reference

Access to the CustomData class which can provide custom user user data to the OpenVDB AX Compiler. More...

`#include <openvdb/version.h>`
`#include <openvdb/Metadata.h>`
`#include <openvdb/Types.h>`
`#include <unordered_map>`
`#include <memory>`

Go to the source code of this file.

## Classes
class | CustomData
| The custom data class is a simple container for named openvdb metadata. Its primary use case is passing arbitrary "external" data to an AX executable object when calling Compiler::compile. For example, it is the mechanism by which we pass data held inside of a parent DCC to executable AX code. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::ax
namespace | openvdb::v11_0::ax::codegen

## Typedefs
using | AXStringMetadata = TypedMetadata< ax::codegen::String >

## Detailed Description

Access to the CustomData class which can provide custom user user data to the OpenVDB AX Compiler.

Authors
  Nick Avramoussis, Francisco Gochez